<?php if ( !empty($post->post_password) && $_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password) : ?>
<p><?php _e('Для просмотра комментариев введите пароль.'); ?></p>
<?php return; endif; ?>

<p>
<strong>
<?php comments_number(__('Нет комментариев'), __('1 Комментарий'), __('% Комментариев')); ?>
</strong>
</p>

<?php if ( $comments ) : ?>

<div class="commentlist">
<ol>

	<?php foreach ($comments as $comment) : ?>

	<li id="comment-<?php comment_ID() ?>">
	<cite><?php _e('Автор'); ?> <?php comment_type(__('комментария'), __('Trackback'), __('Pingback')); ?>  <?php comment_author_link() ?> on <?php comment_date() ?> <a href="#comment-<?php comment_ID() ?>"><?php comment_time() ?></a></cite>
	<?php comment_text() ?>
	</li>

<?php endforeach; ?>

</ol>
</div>

<?php else : ?>
<p><?php _e('No comments yet.'); ?></p>
<?php endif; ?>

<p>
<?php comments_rss_link(__('Комментарии в RSS')); ?> 
<?php if ( pings_open() ) : ?>

<a href="<?php trackback_url() ?>" rel="trackback"><?php _e('TrackBack'); ?></a>

<?php endif; ?>
</p>

<?php if ( comments_open() ) : ?>
<p><strong><?php _e('Оставить комментарий'); ?></strong></p>

<?php if ( get_option('comment_registration') && !$user_ID ) : ?>
<p>Вы должны быть <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php the_permalink(); ?>">зарегистрированы</a> чтобы оставить комментарий.</p>
<?php else : ?>

<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">

<?php if ( $user_ID ) : ?>

<p>Вы вошли как <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout" title="<?php _e('Log out of this account') ?>">Выйти &raquo;</a></p>

<?php else : ?>

<p><input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="22" tabindex="1" />
<label for="author"><small>Имя <?php if ($req) _e('(обязательно)'); ?></small></label></p>

<p><input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="22" tabindex="2" />
<label for="email"><small>Почта (не публикуется) <?php if ($req) _e('(обязательно)'); ?></small></label></p>

<p><input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="22" tabindex="3" />
<label for="url"><small>Сайт</small></label></p>

<?php endif; ?>

<p><textarea name="comment" id="comment" cols="40" rows="10" tabindex="4"></textarea></p>

<input name="submit" type="submit" id="submit" tabindex="5" value="Комментировать" />
<input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />

<?php do_action('comment_form', $post->ID); ?>

</form>

<?php endif; // If registration required and not logged in ?>

<?php else : // Comments are closed ?>
<p><?php _e('Комментирование закрыто.'); ?></p>
<?php endif; ?>